Create a business
curl --request POST \
--url https://api.birdeye.com/resources/v1/signup/reseller/subaccount \
--header 'Content-Type: application/json' \
--data '
{
"businessName": "The Business Name",
"zip": 32323,
"type": "Business",
"phone": "4032365164",
"entityCategory": "physical_location",
"countryCode": "US",
"aggrOptions": 1
}
'import requests
url = "https://api.birdeye.com/resources/v1/signup/reseller/subaccount"
payload = {
"businessName": "The Business Name",
"zip": 32323,
"type": "Business",
"phone": "4032365164",
"entityCategory": "physical_location",
"countryCode": "US",
"aggrOptions": 1
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
businessName: 'The Business Name',
zip: 32323,
type: 'Business',
phone: '4032365164',
entityCategory: 'physical_location',
countryCode: 'US',
aggrOptions: 1
})
};
fetch('https://api.birdeye.com/resources/v1/signup/reseller/subaccount', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"businessId": 653356544
}{
"code": 1176,
"message": "Business info cannot be blank"
}{
"code": 1161,
"message": "Invalid API key"
}{
"code": 1175,
"message": "No business found with the given id"
}{
"code": 89,
"message": "Rate limit exceeded"
}Business
Create Business
Create a business API creates a new business under a reseller.
POST
/
v1
/
signup
/
reseller
/
subaccount
Create a business
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Media type of the JSON request body.
Body
application/json
Name of the Business that needs to be added
Postal code of the business location
Phone number of the Business.
Type of the Business. Valid values are
Specifies the category of the business entity being created or updated. Valid values are:
This field is mandatory for non US locations.
Aggregation Options to enable/disable aggregations. Possible values are [0,1]
Response
OK
Id of the created business
⌘I